com.jscape.inet.vfs

## Class VirtualFileDescriptor<H>

- java.lang.Object
- - com.jscape.inet.vfs.VirtualFileDescriptor<H>

- Direct Known Subclasses:
    VirtualLocalFileDescriptor, VirtualRemoteFileDescriptor

      public abstract class VirtualFileDescriptor<H>
      extends java.lang.Object

  Virtual file information container.
  Author:
    Alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `VirtualFileDescriptor.HandlerBase`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `accept(H handler)`
    `abstract VirtualFileDescriptor` | `copy()`
    `AccessPermissions` | `getAccessPermissions()` Returns file access permissions.
    `java.lang.String` | `getPath()` Returns virtual path.
    `boolean` | `isDenied()` Returns file denied flag.
    `boolean` | `isIndexable()` Returns the indexable flag.
    `boolean` | `isSecured()` Returns file security flag.
    `void` | `setAccessPermissions(AccessPermissions accessPermissions)` Sets file access permissions.
    `void` | `setDenied(boolean denied)` Sets file denied flag.
    `void` | `setIndexable(boolean value)` Sets the indexable flag.
    `void` | `setPath(java.lang.String path)` Sets virtual path.
    `void` | `setSecured(boolean secured)` Sets file security flag.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Returns virtual path.
      Returns:
        virtual path

    - #### setPath

          public void setPath(java.lang.String path)

      Sets virtual path.
      Parameters:
        `path` - the virtual path

    - #### getAccessPermissions

          public AccessPermissions getAccessPermissions()

      Returns file access permissions.
      Returns:
        file access permissions

    - #### setAccessPermissions

          public void setAccessPermissions(AccessPermissions accessPermissions)

      Sets file access permissions.
      Parameters:
        `accessPermissions` - the file access permissions

    - #### isSecured

          public boolean isSecured()

      Returns file security flag.
      Returns:
        `true` if access to this file must be somehow secured; `false` otherwise

    - #### setSecured

          public void setSecured(boolean secured)

      Sets file security flag.
      Parameters:
        `secured` - if code>true access to this file must be somehow secured

    - #### isDenied

          public boolean isDenied()

      Returns file denied flag.
      Returns:
        `true` if access to this file is denied; `false` otherwise

    - #### setDenied

          public void setDenied(boolean denied)

      Sets file denied flag.
      Parameters:
        `denied` - if `true` access to this file is denied

    - #### isIndexable

          public boolean isIndexable()

      Returns the indexable flag.
      Returns:
        `true` if file should be included in index; `false` otherwise

    - #### setIndexable

          public void setIndexable(boolean value)

      Sets the indexable flag.
      Parameters:
        `value` - if `true` this file should be included in index

    - #### accept

          public abstract void accept(H handler)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copy

          public abstract VirtualFileDescriptor copy()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved